Package com.logicaldoc.core.searchengine.folder

# Class FolderSearch

java.lang.Object
com.logicaldoc.core.searchengine.Search
com.logicaldoc.core.searchengine.folder.FolderSearch

public class FolderSearch extends Search
Search specialization for Folder searches.

Since:
  6.4
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FolderSearch.HitMapper`

## Constructor Summary

Constructors
Constructor
Description
`FolderSearch()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalSearch()`

### Methods inherited from class com.logicaldoc.core.searchengine.Search

`get, getEstimatedHitsNumber, getExecTime, getHits, getOptions, isMoreHitsPresent, newOptions, search, setMoreHitsPresent, setOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FolderSearch

public FolderSearch()

## Method Details

### internalSearch

public void internalSearch() throws SearchException

Throws:
  `SearchException`